### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
HomogeneousPoolCDOEngine< CDOEngine > Class Template Reference

CDO engine, loss distribution convolution for finite homogeneous pool. More...

`#include <ql/experimental/credit/syntheticcdoengines.hpp>`

Inherits CDOEngine.

List of all members.

## Public Member Functions

| HomogeneousPoolCDOEngine (const Handle< OneFactorCopula > copula, Size nBuckets)

## Protected Attributes

const Handle< OneFactorCopula > | copula_
Size | nBuckets_

## Detailed Description

### template<class CDOEngine>
class QuantLib::HomogeneousPoolCDOEngine< CDOEngine >

CDO engine, loss distribution convolution for finite homogeneous pool.